#
# Conditional build:
%bcond_with	doc	# API documentation (missing files in sdist)
%bcond_without	tests	# unit tests

Summary:	Changelogs without conflicts
Summary(pl.UTF-8):	Listy zmian bez konfliktów
Name:		python3-changelogd
Version:	0.1.9
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/changelogd/
Source0:	https://files.pythonhosted.org/packages/source/c/changelogd/changelogd-%{version}.tar.gz
# Source0-md5:	8a033df7bebedbab98aec4a32d804f0d
URL:		https://pypi.org/project/changelogd/
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-click >= 8.1.7
BuildRequires:	python3-jinja2 >= 3.1.3
BuildRequires:	python3-pyfakefs >= 5.4
BuildRequires:	python3-pytest >= 5
BuildRequires:	python3-pytest-subprocess
BuildRequires:	python3-ruamel.yaml >= 0.18.6
BuildRequires:	python3-toml >= 0.10.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Changelogs without conflicts.

%description -l pl.UTF-8
Listy zmian bez konfliktów.

%package apidocs
Summary:	API documentation for Python changelogd module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona changelogd
Group:		Documentation

%description apidocs
API documentation for Python changelogd module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona changelogd.

%prep
%setup -q -n changelogd-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pyfakefs.pytest_plugin,pytest_subprocess.fixtures \
%{__python3} -m pytest tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
sphinx-build-3 -b html docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HISTORY.rst LICENSE README.rst
%attr(755,root,root) %{_bindir}/changelogd
%{py3_sitescriptdir}/changelogd
%{py3_sitescriptdir}/changelogd-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Mon Jul 07 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-changelogd.git;a=log;h=master

* Sun Jul 06 2025 Jakub Bogusz <qboosh@pld-linux.org> adf503e
- new

